function val = get(a, propName)
%GET - gets model propertie from a specified object ans returns the value
% 
%   Usage:
%      val = get(a, propName)

switch propName
case 'numberofelements'
	val = a.numberofelements;
case 'numberofgrids'
	val = a.numberofgrids;
case 'elements' 
	val = a.elements;
case 'x' 
	val = a.x;
case 'y' 
	val = a.y;
case 'z' 
	val = a.z;
otherwise
	error(['get error message: ' propName,' is not a valid model property'])
end
